Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		evolution-sharp
Version:	0.20.0
Release:	1
License:	GNU/LGPL
Group:		System/Libraries
Summary:	Evolution Data Server Mono Bindings
URL:		http://ftp.gnome.org/pub/GNOME/sources/evolution-sharp/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

#Automatically resolved build dependencies
BuildRequires: evolution-data-server-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk-sharp-devel
BuildRequires: libbonobo-devel
BuildRequires: libical-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: mono-core-devel
BuildRequires: ORBit2-devel

%description
Mono/C# bindings for the Evolution addressbook.

%package	devel
Summary:	Development files for evolution-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
This package contains development files for evolution-sharp.

%prep
%setup -q

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%_libdir/*.so
%_libdir/mono/gac/evolution-sharp/
%_libdir/mono/evolution-sharp/evolution-sharp.dll
%_datadir/gapi-2.0/

%files devel
%defattr(-,root,root,-)
%_pkgconfig

%changelog
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 0.20.0-1
- Version update
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 0.15.1-1
- Version update
* Mon Oct 08 2007 Christian Metzen <metzench@ccux-linux.de> 0.14.0.1-1
- Version update
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.12.2-1
- Initial release
